Package org.apache.ignite.plugin

## Interface PluginContext

-     public interface PluginContext

  Plugin context.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deregisterPort​(int port, IgnitePortProtocol proto, Class<?> cls)` | Deregisters closed port.
    `void` | `deregisterPorts​(Class<?> cls)` | Deregisters all closed ports.
    `Ignite` | `grid()` |
    `IgniteConfiguration` | `igniteConfiguration()` |
    `ClusterNode` | `localNode()` | Gets local grid node.
    `IgniteLogger` | `log​(Class<?> cls)` | Gets logger for given class.
    `MarshallerContext` | `marshallerContext()` |
    `Collection<ClusterNode>` | `nodes()` | Gets a collection of all grid nodes.
    `void` | `registerPort​(int port, IgnitePortProtocol proto, Class<?> cls)` | Registers open port.

- - ### Method Detail

    - #### igniteConfiguration

          IgniteConfiguration igniteConfiguration()

      Returns:
        Ignite configuration.

    - #### grid

          Ignite grid()

      Returns:
        Grid.

    - #### marshallerContext

          MarshallerContext marshallerContext()

      Returns:
        Marshaller context.

    - #### nodes

          Collection<ClusterNode> nodes()

      Gets a collection of all grid nodes. Remote nodes are discovered via underlying `DiscoverySpi` implementation used.
      Returns:
        Collection of grid nodes.
      See Also:
        `localNode()`, `DiscoverySpi`

    - #### localNode

          ClusterNode localNode()

      Gets local grid node. Instance of local node is provided by underlying `DiscoverySpi` implementation used.
      Returns:
        Local grid node.
      See Also:
        `DiscoverySpi`

    - #### log

          IgniteLogger log​(Class<?> cls)

      Gets logger for given class.
      Parameters:
        `cls` - Class to get logger for.
      Returns:
        Logger.

    - #### registerPort

          void registerPort​(int port,
                            IgnitePortProtocol proto,
                            Class<?> cls)

      Registers open port.
      Parameters:
        `port` - Port.
        `proto` - Protocol.
        `cls` - Class.

    - #### deregisterPort

          void deregisterPort​(int port,
                              IgnitePortProtocol proto,
                              Class<?> cls)

      Deregisters closed port.
      Parameters:
        `port` - Port.
        `proto` - Protocol.
        `cls` - Class.

    - #### deregisterPorts

          void deregisterPorts​(Class<?> cls)

      Deregisters all closed ports.
      Parameters:
        `cls` - Class.